#*******************************************************************************
#**  This file is part of QtArgs.                                            ***
#**                                                                          ***
#**  Copyright (C) 2011, 2012, 2014                                          ***
#**  CodeGNU Solutions <Licensing _AT_ CodeGNU _DOT_ com>                    ***
#**                                                                          ***
#**  This program is free software: you can redistribute it and/or modify    ***
#**  it under the terms of the GNU Lesser General Public License as          ***
#**  published by the Free Software Foundation, either version 3 of the      ***
#**  License, or (at your option) any later version.                         ***
#**                                                                          ***
#**  This program is distributed in the hope that it will be useful, but     ***
#**  WITHOUT ANY WARRANTY; without even the implied warranty of              ***
#**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                    ***
#**  See the GNU Lesser General Public License for more details.             ***
#**                                                                          ***
#**  You should have received a copy of the GNU Lesser General Public        ***
#**  License along with this program. If not, see                            ***
#**  <http://www.gnu.org/licenses/>.                                         ***
#*******************************************************************************
TEMPLATE = subdirs
SUBDIRS = src/qargs.pro \
    src/UNIT_TESTS/qargsut.pro

isEmpty(PREFIX) {
    win32 {
	   PREFIX = $$quote(C:\\QtSDK\\QtArgs\\)
    } else {
	   PREFIX = /usr
    }
}
isEmpty(DOC_PATH) {
    win32 {
	   DOC_PATH = $${PREFIX}/doc
    } else {
	   DOC_PATH = $${PREFIX}/share/doc/QtArgs
    }
}
docs.files += \
    INSTALL \
    README \
    COPYING \
    doc/ChangeLog \
    doc/CREDITS \
    doc/TODO
docs.path = $${DOC_PATH}
INSTALLS += docs
DISTFILES += docs
